"""General/baselite/site-wide URLs."""
from adminplus.sites import AdminSitePlus
from django.conf.urls import include, url
from django.contrib import admin
from django.views.generic import TemplateView

admin.site = AdminSitePlus()
admin.sites.site = admin.site
admin.autodiscover()

urlpatterns = [
    url(r'^$', TemplateView.as_view(template_name='index.html'), name='index'),

    url(r'^countdown/', include('countdown.urls')),
    url(r'^dice/', include('dice.urls')),
    url(r'^dispatch/', include('dispatch.urls')),
    url(r'^itemsets/', include('facts.urls')),
    url(r'^karma/', include('karma.urls')),
    url(r'^markov/', include('markov.urls')),
    url(r'^pi/', include('pi.urls')),
    url(r'^races/', include('races.urls')),
    url(r'^weather/', include('weather.urls')),

    url(r'^accounts/', include('registration.backends.default.urls')),
    url(r'^admin/', admin.site.urls),
]
