"""Find merge requests that need code reviewers."""

import logging

from django.core.management import BaseCommand

from gitlab_bot.lib import GitlabBot
from gitlab_bot.models import GitlabProjectConfig

log = logging.getLogger(__name__)


class Command(BaseCommand):
    help = "Find merge requests needing code reviewers/accepters"

    def handle(self, *args, **options):
        bot = GitlabBot()
        projects = GitlabProjectConfig.objects.filter(manage_merge_request_code_reviews=True)
        for project in projects:
            bot.scan_project_for_reviews(project)
