"""URL patterns for markov stuff."""
from django.urls import path
from django.views.generic import TemplateView

from markov.views import context_index, rpc_generate_line_for_context, rpc_learn_line_for_context

urlpatterns = [
    path('', TemplateView.as_view(template_name='index.html'), name='markov_index'),
    path('context/<int:context_id>/', context_index, name='markov_context_index'),

    path('rpc/context/<context>/generate/', rpc_generate_line_for_context, name='markov_rpc_generate_line'),
    path('rpc/context/<context>/learn/', rpc_learn_line_for_context, name='markov_rpc_learn_line'),
]
