"""Setuptools configuration."""
import os
from setuptools import find_packages, setup

import versioneer

HERE = os.path.dirname(os.path.abspath(__file__))


def extract_requires():
    with open(os.path.join(HERE, 'requirements/requirements.in'), 'r') as reqs:
        return [line.split(' ')[0] for line in reqs if not line[0] == '-']


setup(
    name="dr.botzo",
    description="A Django-backed IRC bot that also provides a WS framework for other bots to call.",
    url="https://git.incorporeal.org/bss/dr.botzo",
    license='GPLv3',
    author="Brian S. Stephan",
    author_email="bss@incorporeal.org",
    version=versioneer.get_version(),
    cmdclass=versioneer.get_cmdclass(),
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    install_requires=extract_requires(),
)
